LibreOffice: XTransientDocumentsDocumentContentFactory Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XTransientDocumentsDocumentContentFactory Interface Reference

specifies a factory for com::sun::star::ucb::TransientDocumentsDocumentContents. More...

`import "XTransientDocumentsDocumentContentFactory.idl";`

Inheritance diagram for XTransientDocumentsDocumentContentFactory:

## Public Member Functions
com::sun::star::ucb::XContent | createDocumentContent ([in] com::sun::star::frame::XModel Model) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a com::sun::star::ucb::TransientDocumentsDocumentContent based on a given com::sun::star::document::OfficeDocument.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a factory for com::sun::star::ucb::TransientDocumentsDocumentContents.

Version
  1.0

See also
  com::sun::star::document::OfficeDocument
  com::sun::star::ucb::TransientDocumentsDocumentContent

Since
  OOo 2.0

## Member Function Documentation

## ◆ createDocumentContent()

com::sun::star::ucb::XContent createDocumentContent | ( | [in] com::sun::star::frame::XModel | Model | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

creates a com::sun::star::ucb::TransientDocumentsDocumentContent based on a given com::sun::star::document::OfficeDocument.

Parameters

  Model | the document model for that a com::sun::star::ucb::TransientDocumentsDocumentContent is requested. The model must be an implementation of service com::sun::star::document::OfficeDocument.

Returns
  a document content based on the given document model. The content must be an implementation of service com::sun::star::ucb::TransientDocumentsDocumentContent.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the document model cannot be associated with content for any reason.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XTransientDocumentsDocumentContentFactory.idl